function id=spectrcompidx(Spectr,k)
  
# id = spectrcompidx(Spectr, k)
#
# Returns the index of the frequency component within the vectors in the 
# structure Spectr corresponding to the component number k (as stored in 
# the vector Spectr.k.
#
# For a description of the Spectr structure, see spectr().

# Author:
#   Lukasz Starzak 
#   Dept. of Microelectronics and Computer Science, Lodz University of Technology

  id = find(Spectr.k == k, 1);
  
endfunction
